# README for dataport-schuposh-saml-config

This package contains a listener module and a join script, which add SAML service providers and related settings to LDAP.

## usr/lib/univention-directory-listener/system/dataport-schuposh-saml-permissions.py
This listener module adds permissions for SAML service providers to Domain Users groups.
At the moment it adds the groupware (webmail.domainname) service provider.
Further SP identifiers can be added to the list "service_providers" inside the module.

## usr/lib/univention-directory-listener/system/dataport-schuposh-itsl-saml-permissions.py
This listener module adds permissions for the itslearning SAML service provider to the group itslearners-<schoolname>.

It's not active since December 2020, because the customer sets this manually.

## usr/lib/univention-install/99dataport-schuposh-saml-config.inst
This join script is called by postinst.

### Created SAML service providers
* https://webmail.${domainname}/appsuite/,cn=saml-serviceprovider,cn=univention,$ldap_base
OX groupware from Phoenix
* https://eu1.itslearning.com/integrations/samlmetadata/saml2v2/,cn=saml-serviceprovider,cn=univention,$ldap_base
itslearning
* https://school-sh.schule-sh.de/mellon/metadata,cn=saml-serviceprovider,cn=univention,$ldap_base
* SchoolSH for PROD
* https://school-sh-qs.schule-sh.de/mellon/metadata,cn=saml-serviceprovider,cn=univention,$ldap_base
* SchoolSH for QS and other systems

### Modified extended attributes

* cn=oxDrive,cn=open-xchange,cn=custom attributes,cn=univention,$ldap_base

Set default to "0"

* cn=oxAccess,cn=open-xchange,cn=custom attributes,cn=univention,$ldap_base

Set default to "webmail"
